## newpki-server 2.0.0+rc1

=== debian/changelog ===
newpki-server (2.0.0+rc1-13ubuntu1) maverick; urgency=low

  * debian/control: newpki-server should not recommend newpki-client,
    since it ends up installing graphical libraries that do not belong
    on a server;  suggest it instead, LP: #598027

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 27 Jul 2010 15:20:31 -0400

newpki-server (2.0.0+rc1-13) unstable; urgency=low

  * QA upload.
  * Fix typo in extended description. Closes: #577641
  * Switch to 3.0 source format
  * Bump debhelper compatibility level to 7
  * As a consequence, replace "dh_clean -k" calls by "dh_prep"
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #465168, #511923
    - Russian (Yuri Kozlov).  Closes: #558281
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #559383
    - Vietnamese (Clytie Siddall).  Closes: #578055

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Apr 2010 07:24:50 +0200

newpki-server (2.0.0+rc1-12) unstable; urgency=low

  * Orphaning the package (See #567130)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 27 Jan 2010 16:22:23 +0100

newpki-server (2.0.0+rc1-11) unstable; urgency=low

  * Add patch 20_check_log_entry_verify_return to verify
    LOG_ENTRY_verify return (Closes: #513515)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 02 Feb 2009 10:44:38 +0100

newpki-server (2.0.0+rc1-10) unstable; urgency=medium

  * Apply patch from Steve Langasek to update LDAP API
    (Closes: #462868, #462855)
  * Urgency medium because above bugs are RC
  * Bump standards version (no changes)
  * Switch to quilt
  * Convert copyright file to UTF-8

 -- Pierre Chifflier <pollux@debian.org>  Wed, 30 Jan 2008 10:40:03 +0100

newpki-server (2.0.0+rc1-9) unstable; urgency=low

  * Apply patch from Michael Ablassmeier:
    verify if deluser/delgroup is installed during postrm (Closes: #431590)
  * Debconf translations:
    - German (Closes: #413267)
    - Portuguese (Closes: #416784)
  * Update my email address

 -- Pierre Chifflier <pollux@debian.org>  Wed, 03 Oct 2007 21:11:43 +0200

newpki-server (2.0.0+rc1-8) unstable; urgency=high

  * Change Depend to Pre-Depend on adduser (Closes: #408363)
  * Urgency high due to RC bug

 -- Pierre Chifflier <chifflier@cpe.fr>  Sun, 28 Jan 2007 18:42:48 +0100

newpki-server (2.0.0+rc1-7) unstable; urgency=low

  * Acknowledge NMU. (Thanks Christian) (Closes: #373125)
  * Disable config.{guess,sub} update to avoid creating a huge diff.gz

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 18 Jan 2007 17:22:05 +0100

newpki-server (2.0.0+rc1-6.1) unstable; urgency=low

  * Non-maintainer upload to fix a longstanding l10n issue
  * Debconf translations:
    - French updated. Closes: #373125
  * Lintian fixes:
    - Add a build dependency on po-debconf as it's used in debian/rules
    - Add a basic LSB header to the init script  

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Jan 2007 23:35:04 +0100

newpki-server (2.0.0+rc1-6) unstable; urgency=low

  * updated debconf translations:
      - czech translation by Miroslav Kure (Closes: #370734)
      - swedish translation by Daniel Nylander

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu,  8 Jun 2006 09:27:28 +0200

newpki-server (2.0.0+rc1-5) unstable; urgency=low

  * Updated Standard Version to 3.7.2
  * Update templates
  * Remove password from debconf database

 -- Pierre Chifflier <chifflier@cpe.fr>  Sat,  3 Jun 2006 11:57:31 +0200

newpki-server (2.0.0+rc1-4) unstable; urgency=low

  * Add missing XML files (Closes: #362412)

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 13 Apr 2006 14:26:29 +0200

newpki-server (2.0.0+rc1-3) unstable; urgency=low

  * bump mysql build-depend to 5 (Closes: #356717)

 -- Pierre Chifflier <chifflier@cpe.fr>  Fri, 17 Mar 2006 15:53:02 +0100

newpki-server (2.0.0+rc1-2) unstable; urgency=low

  * Depend on correct libnewpki2 package (Closes: #348340)
  * Build-Depend on the same package (Closes: #348000)

 -- Pierre Chifflier <chifflier@cpe.fr>  Tue, 17 Jan 2006 10:57:21 +0100

newpki-server (2.0.0+rc1-1) unstable; urgency=low

  * New upstream release
  * bump mysql build-depend to 5 (Closes: #343787)
  * initial swedish translation (Closes: #338910)

 -- Pierre Chifflier <chifflier@cpe.fr>  Wed, 11 Jan 2006 10:48:41 +0100

newpki-server (2.0.0+beta4-4) unstable; urgency=low

  * mark some strings as non-translatable in the template file (Closes: #334214)
  * remove incomplete sentence in template (Closes: #334222)
  * updated template (Closes: #334267)
  * updated french translation (Closes: #335358)
  * initial czech translation (Closes: #335201)
  * bump mysql build-depend to 4.1

 -- Pierre Chifflier <chifflier@cpe.fr>  Sun, 16 Oct 2005 20:54:35 +0200

newpki-server (2.0.0+beta4-3) unstable; urgency=low

  * switch to gettext-based debconf templates (Closes: #330539)

 -- Pierre Chifflier <chifflier@cpe.fr>  Fri, 14 Oct 2005 14:47:45 +0200

newpki-server (2.0.0+beta4-2) unstable; urgency=low

  * Include publication_ldap.h for all architectures (Closes: #321533)
  * Do not use deprecated deprecated mysql-server/start_on_boot (Closes: #322886)
  * Added a lintian override file to remove warnings on libpublication_ldap.so

 -- Pierre Chifflier <chifflier@cpe.fr>  Tue, 30 Aug 2005 10:29:33 +0200

newpki-server (2.0.0+beta4-1) unstable; urgency=low

  * Initial Release (Closes: #245825)

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu,  9 Jun 2005 11:23:43 +0200
