=== debian/control ===
Source: newpki-server
Section: net
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libssl-dev, libnewpki-dev (>= 2.0.0+rc1), libldap2-dev, libmysqlclient15-dev, autotools-dev, po-debconf, chrpath
Standards-Version: 3.8.0
Homepage: http://www.newpki.org/

Package: newpki-server
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mysql-server (>= 4.0.16-2)
Suggests: newpki-client (>= 2.0.0)
Description: PKI based on the OpenSSL low-level API (server package)
 Public Key Infrastructure (PKI) are designed to manage certificates
 on a long term. All the data are handled through a MySQL database, 
 which provides a convenient frontend to OpenSSL, and options such as
 seeking a certificate with a search engine.
 .
 The current version is able to handle multiple Certificate Authorities
 in one server, to publish a certificate request from a Certificate
 Signing Request, to certify a request, to revoke a certificate and to 
 manage one or more Certificate Revocation Lists. It also able to search
 for the waiting requests or certificates, to respond to OCSP requests
 and to seek in and publish to LDAP Directory.
 .
 This package provides the PKI server.
